'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _slicedToArray = function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"]) _i["return"](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError("Invalid attempt to destructure non-iterable instance"); } }; }();

var _bluebird = require('bluebird');

var _bluebird2 = _interopRequireDefault(_bluebird);

var _glob = require('glob');

var _glob2 = _interopRequireDefault(_glob);

var _progressBar = require('./utils/progressBar');

var _progressBar2 = _interopRequireDefault(_progressBar);

var _determinePreviews = require('./utils/determinePreviews');

var _determinePreviews2 = _interopRequireDefault(_determinePreviews);

var _log = require('./utils/log');

var _index = require('./index');

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new _bluebird2.default(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return _bluebird2.default.resolve(value).then(function (value) { return step("next", value); }, function (err) { return step("throw", err); }); } } return step("next"); }); }; }

var globAsync = (0, _bluebird.promisify)(_glob2.default);
var progressBar = new _progressBar2.default();

var initProgressBar = function initProgressBar(paths) {
  return progressBar.init(paths.length);
};
var createRawlys = function createRawlys(paths) {
  return _bluebird2.default.resolve(paths.map(function (path) {
    return new _index2.default(path);
  }));
};
var extractPreviews = function extractPreviews(rawlys, program) {
  var p = rawlys.map(function (rawly) {
    var previewsToExtract = (0, _determinePreviews2.default)(rawly.previews, program.previews);
    var forceOverwrite = program.force;
    var promise = rawly.extractPreviews(previewsToExtract, forceOverwrite);
    progressBar.tick();

    return promise;
  });

  return _bluebird2.default.all(p);
};

exports.default = function () {
  var _ref = _asyncToGenerator(_regenerator2.default.mark(function _callee(program) {
    var _program$args, globPattern, paths, rawlys, previews;

    return _regenerator2.default.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            _program$args = _slicedToArray(program.args, 1);
            globPattern = _program$args[0];
            _context.next = 4;
            return globAsync(globPattern);

          case 4:
            paths = _context.sent;


            (0, _log.logFilesFound)(paths);
            initProgressBar(paths);

            _context.next = 9;
            return createRawlys(paths);

          case 9:
            rawlys = _context.sent;
            _context.next = 12;
            return extractPreviews(rawlys, program);

          case 12:
            previews = _context.sent;
            return _context.abrupt('return', previews);

          case 14:
          case 'end':
            return _context.stop();
        }
      }
    }, _callee, this);
  }));

  function extract(_x) {
    return _ref.apply(this, arguments);
  }

  return extract;
}();