'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exists;

var _fs = require('fs');

/**
 * Check if file on path exists
 * @param  {string}        path - String representing path to file
 * @return {Boolean|Error}        Returns true if file exists, otherwise return the error
 */
function exists(path) {
  // Check to see if provided path is string
  if (typeof path !== 'string') {
    throw new TypeError('Utils exists(): Provided path must be string.');
  }

  try {
    (0, _fs.statSync)(path);
    return true;
  } catch (err) {
    return err;
  }
} /** @module utils/exists */