'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.logError = exports.logSuccess = exports.logFilesFound = undefined;

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var logFilesFound = exports.logFilesFound = function logFilesFound(paths) {
  return console.log(_chalk2.default.blue('\n    > Found ' + paths.length + ' images and starts extracting previews...\n  '));
};

var logSuccess = exports.logSuccess = function logSuccess(booleans) {
  var performed = booleans.filter(function (bool) {
    return bool;
  });
  var skipped = booleans.filter(function (bool) {
    return !bool;
  });

  console.log(_chalk2.default.green('\n    > Successfully extracted previews from ' + performed.length + ' files.\n    > ' + skipped.length + ' files were skipped because they already had a preview.\n  '));
};

var logError = exports.logError = function logError(err) {
  console.log(_chalk2.default.red(err.message));
  console.log(_chalk2.default.dim(err));
};